#! /bin/sh

#
# fw-rules 1.0
# Script by Raum (raum@forward.to, http://linbox.free.fr)
# Created : 04/10/08 
# Last modification : 05/06/01
# 

. /etc/firewall/fw-functions

usage() {
        echo 'Usage: '
        echo 'fw-rules.sh [ add | del ] [ server | client | forward ] [ TCP |UDP ] [ PORT [ :PORT ] ]'
        echo 'fw-rules.sh [ add | del ] [ port_forward ] [ TCP |UDP ] [ PORT ] [ ADRESSE_DEST ]'
        echo 'fw-rules.sh protection [ on | off ]'
}

if [ $# -eq 0 ]
then
      usage
      exit 1
fi

for i in $*
do
        case $i in
        '-?')           usage; shift;;
        '--help')       usage; shift;;
        --)             shift; break;;
        esac
done

if [[ ! "$1" = "add"  && ! "$1" = "del"  && ! "$1" = "protection" ]]
then
        usage
        exit 0
fi

if  [ "$1" = "protection" ]
then
        if  [ "$2" = "off" ]
        then
         protection off
         exit 0
        fi

        protection on
        exit 0
fi

protection off

if [ "$2" = "server" ]
then
    server_rule $1 $3 $4
fi

if [ "$2" = "client" ]
then
    client_rule $1 $3 $4
fi

if [ "$2" = "forward" ]
then
    forward_rule $1 $3 $4
fi

if [ "$2" = "port_forward" ]
then
    port_forwarding $1 $3 $4 $5
fi

protection on
